[Fai-commit] r6364 - test-suite/scenarios/setup-storage-tests/tests trunk/examples/more-tests/tests

Michael Tautschnig mt at alioth.debian.org
Fri Apr 15 09:55:03 UTC 2011


Author: mt
Date: 2011-04-15 09:54:58 +0000 (Fri, 15 Apr 2011)
New Revision: 6364

Added:
   test-suite/scenarios/setup-storage-tests/tests/DSK_TEST_2
Removed:
   trunk/examples/more-tests/tests/DSK_TEST_2
Log:
moving tests

Copied: test-suite/scenarios/setup-storage-tests/tests/DSK_TEST_2 (from rev 6363, trunk/examples/more-tests/tests/DSK_TEST_2)
===================================================================
--- test-suite/scenarios/setup-storage-tests/tests/DSK_TEST_2	                        (rev 0)
+++ test-suite/scenarios/setup-storage-tests/tests/DSK_TEST_2	2011-04-15 09:54:58 UTC (rev 6364)
@@ -0,0 +1,51 @@
+#! /usr/bin/perl
+
+use strict;
+use warnings;
+use Faitest;
+package FAITEST;
+
+setup_test();
+#  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
+# now comes the test itself
+
+my $dev = &getDevByMount("/target/home");
+&checkE2fsAttribute($dev,"Filesystem volume name","home");
+&checkE2fsAttribute($dev,"Maximum mount count","-1");
+&checkE2fsAttribute($dev,"Reserved block count","0");
+&checkE2fsAttribute($dev,"Default mount options","user_xattr acl");
+
+system("md5sum --check /target/home/test.md5");
+unless ($? == 0) {
+  $FAITEST::errors++;
+  # was printed to STDERR
+  print $FAITEST::LOGFILE "md5sum failed: you either did not finish DSK_TEST_1 or preserve partition did not work.\n";
+}
+
+exit printresult("DSK_TEST_3");
+#  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
+__END__
+
+=head1 NAME
+
+DSK_TEST_2 - regression test for setup-storage disk layout DSK_TEST_2
+
+=head1 SYNOPSIS
+
+DSK_TEST_2 checks some important aspects of setup-storage. DSK_TEST_2 depends on succesful completion of DSK_TEST_1.
+In particular, DSK_TEST_2 checks the preserve partition feature on the file /target/home/test.data that is created
+by DSK_TEST_1.
+
+ Options:
+ -help          simple help
+ -verbose=n     increase verbosity of test script
+
+=head1 OPTIONS
+
+=over 8
+
+=item B<-help>
+simple help
+
+=item B<-verbose>
+increase verbosity of test script

Deleted: trunk/examples/more-tests/tests/DSK_TEST_2
===================================================================
--- trunk/examples/more-tests/tests/DSK_TEST_2	2011-04-15 09:54:39 UTC (rev 6363)
+++ trunk/examples/more-tests/tests/DSK_TEST_2	2011-04-15 09:54:58 UTC (rev 6364)
@@ -1,51 +0,0 @@
-#! /usr/bin/perl
-
-use strict;
-use warnings;
-use Faitest;
-package FAITEST;
-
-setup_test();
-#  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
-# now comes the test itself
-
-my $dev = &getDevByMount("/target/home");
-&checkE2fsAttribute($dev,"Filesystem volume name","home");
-&checkE2fsAttribute($dev,"Maximum mount count","-1");
-&checkE2fsAttribute($dev,"Reserved block count","0");
-&checkE2fsAttribute($dev,"Default mount options","user_xattr acl");
-
-system("md5sum --check /target/home/test.md5");
-unless ($? == 0) {
-  $FAITEST::errors++;
-  # was printed to STDERR
-  print $FAITEST::LOGFILE "md5sum failed: you either did not finish DSK_TEST_1 or preserve partition did not work.\n";
-}
-
-exit printresult("DSK_TEST_3");
-#  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
-__END__
-
-=head1 NAME
-
-DSK_TEST_2 - regression test for setup-storage disk layout DSK_TEST_2
-
-=head1 SYNOPSIS
-
-DSK_TEST_2 checks some important aspects of setup-storage. DSK_TEST_2 depends on succesful completion of DSK_TEST_1.
-In particular, DSK_TEST_2 checks the preserve partition feature on the file /target/home/test.data that is created
-by DSK_TEST_1.
-
- Options:
- -help          simple help
- -verbose=n     increase verbosity of test script
-
-=head1 OPTIONS
-
-=over 8
-
-=item B<-help>
-simple help
-
-=item B<-verbose>
-increase verbosity of test script




More information about the Fai-commit mailing list